export declare class Logger {
    lvl: number;
    stackFrameOffset: number;
    constructor(lvl: number | undefined);
    out: (...str: string[]) => void;
    joinArgs(args: any): any;
    printCaller(err: (Error | string), i: number): any;
    printLvl(l: number, args: any): void;
    print(...args: any): void;
    lvl1(...args: any): void;
    lvl2(...args: any): void;
    lvl3(...args: any): void;
    lvl4(...args: any): void;
    llvl1(...args: any): void;
    llvl2(...args: any): void;
    llvl3(...args: any): void;
    llvl4(...args: any): void;
    info(...args: any): void;
    warn(...args: any): void;
    error(...args: any): void;
    catch(e: (Error | string), ...args: any): void;
    rcatch(e: (Error | string), ...args: any): Promise<any>;
}
declare let Log: Logger;
export default Log;
